Package de.willuhn.jameica.hbci.gui.chart

# Enum Class ChartFeature.Event

java.lang.Object
java.lang.Enum<ChartFeature.Event>
de.willuhn.jameica.hbci.gui.chart.ChartFeature.Event

All Implemented Interfaces:
  `Serializable`, `Comparable<ChartFeature.Event>`, `Constable`

Enclosing interface:
  `ChartFeature`

public static enum ChartFeature.Event extends Enum<ChartFeature.Event>
Liste der Events, auf die ein Feature reagieren kann.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`PAINT`
Wird ausgeloest, wenn das Chart gezeichnet wird.

## Method Summary

Modifier and Type
Method
Description
`static ChartFeature.Event`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ChartFeature.Event[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PAINT

public static final ChartFeature.Event PAINT
Wird ausgeloest, wenn das Chart gezeichnet wird.

## Method Details

### values

public static ChartFeature.Event[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ChartFeature.Event valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null